%global modname ujson
%global srcname ultrajson

Name:           python-%{modname}
Version:        1.35
Release:        1%{?dist}
Summary:        An ultra fast JSON encoder and decoder written in pure C

License:        BSD
URL:            https://github.com/esnme/ultrajson
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz
# https://github.com/esnme/ultrajson/commit/39435177118c9fbc5d3863879c6e4616fd4c12c5
Patch0001:      0001-do-not-forcefully-remove-the-build-directory-manuall.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  pytz
BuildRequires:  python-blist
BuildRequires:  python-unittest2
%{?python_provide:%python_provide python2-%{modname}}

%description
UltraJSON is an ultra fast JSON encoder and decoder written in\
pure C with bindings for Python.


%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py2_build

%install
%py2_install

%check
PYTHONPATH=%{buildroot}%{python2_sitearch} %{__python2} tests/tests.py -v

%files
%license LICENSE.txt
%doc README.rst
%{python2_sitearch}/%{modname}-%{version}-py%{python2_version}.egg-info/
%{python2_sitearch}/%{modname}.so

%changelog
* Tue May 30 2017 Sebastian Dyroff <sebastian.dyroff@ada.com> - 1.35-1
- Initial package for epel7 (based on f25 branch)
